コンテンツへスキップ

Moondream 3 Preview [Query]

統合

モデルID moondream3-preview/query
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream3-preview/query?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.001 1 APIクレジット このページで実行

APIキーを取得
Moondream ビジョン #vision

画像に関する自由形式の質問に回答し、任意で段階的な推論結果を出力

Moondream · テキスト

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

画像について尋ねる質問。

•必須 image_url
ファイルをドロップ、または

処理する画像を指すURL。

詳細設定 temperature · top_p · reasoning

0~1のサンプリング温度。省略時のデフォルトは0です。0.8など高い値ではランダム性が増し、0.2など低い値ではより焦点の合った決定的な出力になります。

0~1の範囲の、核サンプリングの確率質量。

POST /run/moondream3-preview/query?wait=20 見積もり → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream3-preview/query?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Moondream 3 Preview [Query]について

`image_url`の画像について`prompt`で質問し、テキスト回答を返します。デフォルトで有効な`reasoning`フラグにより、回答に至る推論も返します。0~1の`temperature`と`top_p`でサンプリングを調整できます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
image_url必須 image
型url · image
処理する画像を指すURL。
prompt必須
型string
画像について尋ねる質問。
reasoning任意
型boolean
デフォルトtrue
回答に詳細な推論を含めるかどうかを制御します。
temperature任意
型number | null
0 – 1
0~1のサンプリング温度。省略時のデフォルトは0です。0.8など高い値ではランダム性が増し、0.2など低い値ではより焦点の合った決定的な出力になります。
top_p任意
型number | null
0 – 1
0~1の範囲の、核サンプリングの確率質量。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "moondream3-preview/query",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "finish_reason": "stop",
    "usage_info": {
      "input_tokens": 1,
      "output_tokens": 1,
      "prefill_time_ms": 1.0,
      "decode_time_ms": 1.0,
      "ttft_ms": 1.0
    },
    "output": "{\n  \"safety_measures\": [\n    \"Red hard hat\",\n    \"Safety glasses\"\n  ]\n}",
    "reasoning": "The worker is wearing a red hard hat for head protection and safety glasses for eye protection."
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
finish_reason
string出力生成が終了した理由。
usage_info
object {input_tokens, output_tokens, prefill_time_ms, decode_time_ms, ttft_ms}リクエストの使用状況の詳細。
output
string画像に関する質問への回答。
reasoning
string | null有効時に回答を裏付ける詳細な説明。

その他のモデル: ビジョン

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/moondream3-preview/query.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt